summaryrefslogtreecommitdiffstats
path: root/games/spring/spring.SlackBuild
diff options
context:
space:
mode:
author Erik Hanson2010-05-13 00:27:09 +0200
committer Robby Workman2010-05-13 00:27:09 +0200
commit8e84134d2558f98211f0c8c2146f920fd63cf14f (patch)
tree51dfcd9f7ba11c4c9f7d703ffc6093cae679ffe3 /games/spring/spring.SlackBuild
parentd7018821d28149bdc8009de31bd2232674a19751 (diff)
downloadslackbuilds-8e84134d2558f98211f0c8c2146f920fd63cf14f.tar.gz
games/spring: Updated for version 0.80.5.2
Diffstat (limited to 'games/spring/spring.SlackBuild')
-rw-r--r--games/spring/spring.SlackBuild46
1 files changed, 35 insertions, 11 deletions
diff --git a/games/spring/spring.SlackBuild b/games/spring/spring.SlackBuild
index 274b74d1cb..9f15a552b5 100644
--- a/games/spring/spring.SlackBuild
+++ b/games/spring/spring.SlackBuild
@@ -1,10 +1,29 @@
#!/bin/sh
# Slackware build script for Spring
-# Written by Erik Hanson erik@slackbuilds.org
+
+# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=spring
-VERSION=0.78.2.1
+VERSION=0.80.5.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -14,6 +33,12 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
set -eu
rm -rf $PKG
@@ -25,16 +50,15 @@ cd ${PRGNAM}_${VERSION}
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# This uses some form of auto-detection: rts/build/scons/detect.py
-# This should be safe, but does not create a redistributable package.
-scons configure \
- prefix=/usr \
- installprefix=$PKG/usr
-scons
-scons install
+cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ .
+make
+make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE.html Documentation/* $PKG/usr/doc/$PRGNAM-$VERSION
@@ -45,4 +69,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}